Passer au contenu
Dernière mise à jour

Lean - Lra Capabilities

Use this method to retrieve the configuration of a LRA.

For the full technical reference, see the OpenAPI specification.

Endpoint

GET /api/utility/{lraId}/capabilities

Headers

NameRequiredDescription
Content-TypeYesMust be application/json.
AuthorizationYesBasic Auth credentials.

Path parameters

ParameterTypeRequiredDescription
lraIdintegerYesLRA identifier.

The response includes:

Response examples

Response Example

{
   "company":"SPA",
   "otp":{
      "allowed":[
         "NO_OTP",
         "EMAIL",
         "SMS"
      ],
      "constraintsDisposableIdentificationType":[
         {
            "otpType":"NO_OTP",
            "disposableIdentificationType":[
               "SPID"
            ]
         },
         {
            "otpType":"EMAIL",
            "disposableIdentificationType":[
               "SPID"
            ]
         }
      ]
   },
   "disposableIdentificationType":{
      "allowed":[
         "DEVISU",
         "CNS",
         "FIRMA",
         "THIRDPARTY",
         "WEB",
         "CIE",
         "SPID",
         "ALTRO"
      ]
   },
   "eid":{
      "allowed":[
         {
            "country":"IT",
            "eid":"SPID",
            "rp":[          
               {
                  "entityId":"https://esp.test.namirialtsp.com/wizard",
                  "minimumLevel":2,
                  "expirationTimespanSecond":1800
               }
            ]
         },
         {
            "country":"IT",
            "eid":"CIE",
            "rp":[
               {
                  "entityId":"https://esp.test.namirialtsp.com/wizardcie",
                  "minimumLevel":3,
                  "expirationTimespanSecond":1800
               }
            ]
         }
      ]
   },
   "cert":{
      "allowed":[
         "DISPOSABLE",
         "DISPOSABLE_30_DAYS",
         "LONG-LIVED"
      ]
   },
   "op":{
      "legalEntityId":"xxxxxxxxx",
      "customerId":"xxxxxxxxxxxx",
      "buReId":{
         "disposable":"buReIdGUUID98w12huw1p"
      }
   },
   "configuration":{
      "maxMobileReuseInRangeDaysDisposable":1,
      "rangeDaysMobileDisposable":0,
   },
   "legalEntity": {
        "idLegalEntity": 79488,
        "country": "IT"
    },
   "contract":{
      "allowed":{
         "DISPOSABLE_30_DAYS":[
            {
               "country":"BG",
               "language":"BG"
            },
            {
               "country":"FR",
               "language":"FR"
            },
            {
               "country":"BE",
               "language":"FR"
            },
            {
               "country":null,
               "language":"EN"
            }
         ],
         "DISPOSABLE":[
            {
               "country":"IT",
               "language":"IT"
            },
            {
               "country":null,
               "language":"EN"
            }
         ],
         "LONG-LIVED":[
            {
               "country":"BG",
               "language":"BG"
            }
         ]
      }
   }
}